## espeakedit 1.46.02

=== src/Makefile ===
# Makefile for 'espeakedit' program

SRCS= compiledata.cpp compiledict.cpp debug.cpp dictionary.cpp espeak_command.cpp \
    espeakedit.cpp event.cpp extras.cpp fifo.cpp formantdlg.cpp intonation.cpp \
    klatt.cpp mbrowrap.cpp menus.cpp numbers.cpp options.cpp phonemelist.cpp \
    prosodydisplay.cpp readclause.cpp setlengths.cpp speak_lib.cpp spect.cpp \
    spectdisplay.cpp spectseq.cpp synthdata.cpp synthesize.cpp synth_mbrola.cpp \
    translate.cpp transldlg.cpp tr_languages.cpp voicedlg.cpp voices.cpp vowelchart.cpp \
    wave.cpp wavegen.cpp sonic.cpp

OBJS=$(patsubst %.cpp,%.o,$(SRCS))

WX_LIBS = -pthread   -lwx_gtk2u_xrc-2.6 -lwx_gtk2u_qa-2.6 -lwx_gtk2u_html-2.6 \
   -lwx_gtk2u_adv-2.6 -lwx_gtk2u_core-2.6 -lwx_baseu_xml-2.6 -lwx_baseu_net-2.6 -lwx_baseu-2.6

LIBS=-lstdc++ -lportaudio

CPPFLAGS =  -Wall -g -fexceptions -I/usr/lib/wx/include/gtk2-unicode-release-2.6
	-I/usr/include/wx-2.6 \
	-DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES
	-D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA -D_ESPEAKEDIT

CXXFLAGS = -O2  -Wall -fexceptions -I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 \
   -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA -D_ESPEAKEDIT

all: espeakedit

.cpp.o:
	$(CXX) $(CXXFLAGS) -I. -c -fno-exceptions $<

espeakedit: $(OBJS)
	$(CXX) -o $@ $(OBJS) $(LIBS) $(WX_LIBS)

clean:
	rm -f *.o *~

distclean: clean
	rm -f espeakedit

## espeakedit 1.43.03

=== debian/changelog ===
espeakedit (1.43.03-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.2 (no change needed).
    - Set Multi-Arch: foreign.
  * debian/rules, debian/patch: move upstream changes to patches
    (Closes: Bug#643109).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 01:52:42 +0200

espeakedit (1.43.03-1) unstable; urgency=low

  * Initial release (Closes: #573537)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Apr 2010 00:39:22 +0200

=== debian/control ===
Source: espeakedit
Section: sound
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeakedit.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/espeakedit.git
Homepage: http://espeak.sourceforge.net/
Build-Depends: debhelper (>= 7), libwxgtk2.6-dev, portaudio19-dev
Standards-Version: 3.9.2

Package: espeakedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, sox
Recommends: espeak-data
Description: A multi-lingual software speech synthesizer - editor
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 eSpeakEdit provides a User Interface to edit the eSpeak voices.

=== debian/rules ===
#!/usr/bin/make -f

build: src/espeakedit
src/espeakedit:
	cp -f src/portaudio19.h src/portaudio.h
	$(MAKE) -C src

clean:
	dh_testdir

	$(MAKE) -C src clean
	rm -f src/espeakedit

	cp -f src/portaudio18.h src/portaudio.h

	dh_clean

%:
	dh  $@

## espeakedit 1.46.02

=== debian/changelog ===
espeakedit (1.46.02-3) unstable; urgency=low

  * rules: Add empty build-indep rule.
  * control: Bump Standards-Version to 3.9.4 (no changes).
  * patches/wx2.8.diff: Fix Makefile line continuation (Closes: Bug#720842).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Aug 2013 23:05:59 +0200

espeakedit (1.46.02-2) unstable; urgency=low

  * control: Bump Standards-Version to 3.9.3 (no changes).
  * rules: Add proper build-arch target (closes: Bug#666289).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Apr 2012 21:35:06 +0200

espeakedit (1.46.02-1) unstable; urgency=low

  * New upstream release
    - debian/copyright: Update.
    - debian/patches/wx2.8.diff: Refrehs.
  * debian/patches/libsonic: New patch to make espeakedit use the packaged
    libsonic.
  * debian/control: Build-depend on libsonic-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jan 2012 20:19:49 +0100

espeakedit (1.43.03-4) unstable; urgency=low

  * debian/patches/format.diff: Add format security fix.
  * debian/control:
    - Depend on hardening-check.
    - Depend on multiarched libwx2.8.
  * debian/rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * debian/patches/wx2.8.diff: Use multiarched paths (Closes: Bug#652601).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 14:28:37 +0100

espeakedit (1.43.03-3) unstable; urgency=low

  * debian/control, debian/patches/wx2.8.diff: Build against wxwidgets2.8.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 12 Oct 2011 09:53:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeakedit.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/espeakedit.git
 Homepage: http://espeak.sourceforge.net/
-Build-Depends: debhelper (>= 7), libwxgtk2.6-dev, portaudio19-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libwxgtk2.8-dev (>= 2.8.12.1-4), portaudio19-dev, dpkg-dev (>= 1.16.0), hardening-wrapper, libsonic-dev
+Standards-Version: 3.9.4
 
 Package: espeakedit
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, sox
 Recommends: espeak-data
-Description: A multi-lingual software speech synthesizer - editor
+Description: Multi-lingual software speech synthesizer - editor
  eSpeak is a software speech synthesizer for English, and some other
  languages.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 
-build: src/espeakedit
+export DEB_BUILD_HARDENING=1
+
+build-indep:
+build-arch: src/espeakedit
 src/espeakedit:
 	cp -f src/portaudio19.h src/portaudio.h
 	$(MAKE) -C src
+
+build: build-arch
 
 clean:
 	dh_testdir

## espeakedit 1.48.03

=== src/Makefile ===
--- 
+++ 
@@ -10,17 +10,17 @@
 
 OBJS=$(patsubst %.cpp,%.o,$(SRCS))
 
-WX_LIBS = -pthread   -lwx_gtk2u_xrc-2.6 -lwx_gtk2u_qa-2.6 -lwx_gtk2u_html-2.6 \
-   -lwx_gtk2u_adv-2.6 -lwx_gtk2u_core-2.6 -lwx_baseu_xml-2.6 -lwx_baseu_net-2.6 -lwx_baseu-2.6
+WX_LIBS = -pthread   `wx-config --libs`
 
 LIBS=-lstdc++ -lportaudio
+#LIBS=-lstdc++ /usr/lib/x86_64-linux-gnu/libportaudio.so.2
 
-CPPFLAGS =  -Wall -g -fexceptions -I/usr/lib/wx/include/gtk2-unicode-release-2.6
-	-I/usr/include/wx-2.6 \
+CPPFLAGS =  -Wall -g -fexceptions `wx-config --cflags`
+	-I/usr/include/wx-2.8 \
 	-DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES
 	-D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA -D_ESPEAKEDIT
 
-CXXFLAGS = -O2  -Wall -fexceptions -I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 \
+CXXFLAGS = -O2  -Wall -fexceptions `wx-config --cflags` \
    -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA -D_ESPEAKEDIT
 
 all: espeakedit

=== debian/changelog ===
espeakedit (1.48.03-7build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:39:33 +0100

espeakedit (1.48.03-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Generalize pattern.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Archive.
  * copyright: Fix FSF address.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Dec 2019 17:48:18 +0100

espeakedit (1.48.03-6) unstable; urgency=medium

  * control: Switch to wxWidgets GTK 3 (Closes: Bug#933453).
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 02:13:11 +0200

espeakedit (1.48.03-5) unstable; urgency=medium

  * control: Remove Mario from Uploaders (Closes: Bug#840870).
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:23:01 +0200

espeakedit (1.48.03-4) unstable; urgency=medium

  * watch: Generalize URL.
  * compat: Bump to 9.
  * rules: Clear.
  * patches/char_cast: New patch to fix build with g++-6 (Closes: #811773).
  * menu: convert to espeakedit.desktop.
  * Bump Standards-Version to 3.9.8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 23:59:50 +0200

espeakedit (1.48.03-3) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix missing backslashes in Makefile, fixing FTBFS (Closes: #750269):
    - patches/make.diff

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Jun 2014 00:22:06 +0200

espeakedit (1.48.03-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch wx3.0-3.diff) (Closes: Bug#746538).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 23:59:44 +0200

espeakedit (1.48.03-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#746537).
    - patches/format.diff: Remove, fixed upstream.
    - patches/wx3.0.diff: Refresh, mostly fixed upstream.
    - patches/wx3.0-2.diff: Refresh, almost fixed upstream.
  * copyright: Update.
  * patches/path.diff: Add multiarch part in path (Closes: Bug#746536).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 19:11:08 +0200

espeakedit (1.46.02-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/wx3.0.diff, wx3.0-2.diff: Add patches to fix build against
    wxwidgets 3.0.
  * rules: Drop sourceforge logo to avoid privacy breach.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Apr 2014 21:46:17 +0200

=== debian/control ===
Source: espeakedit
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://salsa.debian.org/a11y-team/espeakedit
Vcs-Git: https://salsa.debian.org/a11y-team/espeakedit.git
Homepage: http://espeak.sourceforge.net/
Build-Depends: debhelper-compat (= 12), libwxgtk3.0-gtk3-dev, portaudio19-dev, dpkg-dev (>= 1.16.0), libsonic-dev
Standards-Version: 4.4.0

Package: espeakedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, sox
Recommends: espeak-data
Description: Multi-lingual software speech synthesizer - editor
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 eSpeakEdit provides a User Interface to edit the eSpeak voices.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cp -f src/portaudio19.h src/portaudio.h
	$(MAKE) -C src

override_dh_installdocs:
	dh_installdocs
	sed -i -e 's&<img src="http://sflogo.sourceforge.net[^>]*>&&' debian/espeakedit/usr/share/doc/espeakedit/docs/*.html

override_dh_auto_clean:
	$(MAKE) -C src clean
	rm -f src/espeakedit

	cp -f src/portaudio18.h src/portaudio.h

=== debian/watch ===
version=3
https://sf.net/espeak/espeakedit-@ANY_VERSION@@ARCHIVE_EXT@

## espeakedit 1.48.15

=== debian/changelog ===
espeakedit (1.48.15-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Bump from libwxgtk3.0-gtk3-dev to libwxgtk3.2-dev
    (Closes: Bug#1019774)
  * source/lintian-overrides: Drop warnings.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Sep 2022 08:22:32 +0200

espeakedit (1.48.15-1) unstable; urgency=medium

  * New upstream release.
    - patches/wx3.0.diff: Upstreamed.
    - patches/char_cast: Refresh.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * patches/flags: Fix passing hardening flags.
  * watch: Add latest.html upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Dec 2020 18:13:14 +0100

espeakedit (1.48.03-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #958357)

  [ Samuel Thibault ]
  * control: Update alioth list domain.
  * patches/path.diff, patches/lm: Fix build with clang.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:55:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: espeakedit
 Section: sound
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/espeakedit
 Vcs-Git: https://salsa.debian.org/a11y-team/espeakedit.git
 Homepage: http://espeak.sourceforge.net/
-Build-Depends: debhelper-compat (= 12), libwxgtk3.0-gtk3-dev, portaudio19-dev, dpkg-dev (>= 1.16.0), libsonic-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), libwxgtk3.2-dev, portaudio19-dev, dpkg-dev (>= 1.16.0), libsonic-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 
 Package: espeakedit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_build:
 	cp -f src/portaudio19.h src/portaudio.h
-	$(MAKE) -C src
+	dh_auto_build --sourcedirectory=src
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=4
https://sf.net/espeak/espeakedit-@ANY_VERSION@@ARCHIVE_EXT@
http://espeak.sourceforge.net/test/latest.html http://espeak.sourceforge.net/test/espeakedit-@ANY_VERSION@@ARCHIVE_EXT@
